[gelöst] Fehler bei Upgrade opsi-linux-bootimage_20191015-2_all.deb

fredfanatics
Beiträge: 36
Registriert: 10 Nov 2016, 09:33

[gelöst] Fehler bei Upgrade opsi-linux-bootimage_20191015-2_all.deb

Beitragvon fredfanatics » 17 Okt 2019, 16:52

Hallo Forum,
bekomme beim apt full-upgrade die folgende Fehlermeldung:

Code: Alles auswählen

Vorbereitung zum Entpacken von .../opsi-linux-bootimage_20191015-2_all.deb ...
cp: cannot stat '/tftpboot/linux/pxelinux.cfg/install-grub-x64': No such file or directory
dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/opsi-linux-bootimage_20191015-2_all.deb (--unpack):
 Unterprozess neues pre-installation-Skript gab den Fehlerwert 1 zurück
Fehler traten auf beim Bearbeiten von:
 /var/cache/apt/archives/opsi-linux-bootimage_20191015-2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Was muss ich tun, um das zu beheben?

Gruß

Fred
Zuletzt geändert von fredfanatics am 18 Okt 2019, 08:28, insgesamt 1-mal geändert.

Benutzeravatar
tobias
Beiträge: 1270
Registriert: 20 Aug 2008, 12:36
Wohnort: Braunschweig
Kontaktdaten:

Re: Fehler bei Upgrade opsi-linux-bootimage_20191015-2_all.deb

Beitragvon tobias » 17 Okt 2019, 22:35

Moin,

kann den Fehler auf unserem opsi-testing (Ubuntu 18.04) nachvollziehen:

Code: Alles auswählen


Die folgenden Pakete werden aktualisiert (Upgrade):
  opsi-linux-bootimage
1 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
Es müssen noch 0 B von 549 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 2.331 kB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] j
(Lese Datenbank ... 147984 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../opsi-linux-bootimage_20191015-2_all.deb ...
cp: Aufruf von stat für '/tftpboot/linux/pxelinux.cfg/install-grub-x64' nicht möglich: Datei oder Verzeichnis nicht gefunden
dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/opsi-linux-bootimage_20191015-2_all.deb (--unpack):
 Unterprozess neues opsi-linux-bootimage-Skript des Paketes pre-installation gab den Fehler-Ausgangsstatus 1 zurück
Fehler traten auf beim Bearbeiten von:
 /var/cache/apt/archives/opsi-linux-bootimage_20191015-2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



Im in der Meldung genannten Ordner gibt es folgendes:

Code: Alles auswählen

root@opsi-testing:~# tree /tftpboot/linux/pxelinux.cfg/
/tftpboot/linux/pxelinux.cfg/
├── default -> default.menu
├── default.menu
├── default.menu.old
├── default.menu.opsi
├── default.nomenu
├── default.nomenu.old
├── default.nomenu.opsi
├── elilo.conf
├── elilo.conf.old
├── elilo.conf.opsi
├── elilo.efi
├── install
├── install3264
├── install3264.old
├── install3264.opsi
├── install-elilo-x64
├── install-elilo-x64.old
├── install-elilo-x64.opsi
├── install-elilo-x86
├── install.old
├── install.opsi
├── install-x64
├── install-x64.old
├── install-x64.opsi
└── memtest86


Wenn ich ihm die Datei vorgaukel und anlege läuft das Script sauber durch:

Code: Alles auswählen

touch /tftpboot/linux/pxelinux.cfg/install-grub-x64



Auf unserem Stable Server ist die gesuchte Datei "install-grub-x64'" auch nicht vorhanden.




Gruß
Tobias
Veröffentliche deine WINST Scripte im OPSI Wiki und leiste so einen wertvollen Beitrag für die Community !!!
https://forum.opsi.org/wiki/

fredfanatics
Beiträge: 36
Registriert: 10 Nov 2016, 09:33

Re: Fehler bei Upgrade opsi-linux-bootimage_20191015-2_all.deb

Beitragvon fredfanatics » 18 Okt 2019, 08:27

Hab' ich gemacht!
Danke!

RoK
Beiträge: 2
Registriert: 22 Aug 2018, 11:53

Re: [gelöst] Fehler bei Upgrade opsi-linux-bootimage_20191015-2_all.deb

Beitragvon RoK » 18 Okt 2019, 08:42

Hatte den gleichen Fehler.

Code: Alles auswählen

touch /tftpboot/linux/pxelinux.cfg/install-grub-x64
hat geholfen.

Danke! :)

Benutzeravatar
m.radtke
uib-Team
Beiträge: 822
Registriert: 10 Jun 2015, 12:19

Re: [gelöst] Fehler bei Upgrade opsi-linux-bootimage_20191015-2_all.deb

Beitragvon m.radtke » 18 Okt 2019, 09:35

Moin,
danke für das Feedback, Fix ist im Bau.

Gruß
Mathias
Kein Support per DM!
_________________________
opsi support - http://www.uib.de/
For productive opsi installations we recommend support contracts.